Blob Blame History Raw
Name:           perl-XML-Parser-Lite
# Use three digits since 0.719 -> 0.72
%global cpan_version 0.721
Version:        %{cpan_version}
Release:        5%{?dist}
Summary:        Lightweight regexp-based XML parser
License:        (GPL+ or Artistic) and REX
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Parser-Lite/
Source0:        http://www.cpan.org/authors/id/P/PH/PHRED/XML-Parser-Lite-%{cpan_version}.tar.gz
BuildArch:      noarch
# SOAP::Lite is not actually needed
# Build
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(re)
# Tests only
BuildRequires:  perl(diagnostics)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Requires)
# Optional tests only
%if !%{defined perl_bootstrap}
# Break build-cycle: perl-XML-Parser-Lite → perl-SOAP-Lite
# → perl-XML-Parser-Lite
BuildRequires:  perl(SOAP::Test)
# Break build-cycle: perl-XML-Parser-Lite → perl-XMLRPC-Lite → perl-SOAP-Lite
# → perl-XML-Parser-Lite
BuildRequires:  perl(XMLRPC::Lite) >= 0.717
BuildRequires:  perl(XMLRPC::Test) >= 0.717
BuildRequires:  perl(XMLRPC::Test::Server)
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
This Perl module implements an XML parser with an interface similar to
XML::Parser.  Though not all callbacks are supported, you should be able to
use it in the same way you use XML::Parser.

%prep
%setup -q -n XML-Parser-Lite-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed May 18 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.721-5
- Perl 5.24 re-rebuild of bootstrapped packages

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.721-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.721-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.721-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Petr Šabata <contyk@redhat.com> - 0.721-1
- 0.721 bumpity
- Patch for rt#98635 incorporated upstream
- Patch for rt#91434 shouldn't be required now

* Wed Jun 10 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.720-4
- Perl 5.22 re-rebuild of bootstrapped packages

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.720-3
- Perl 5.22 rebuild

* Wed May 06 2015 Petr Pisar <ppisar@redhat.com> - 0.720-2
- Break build-cycle: perl-XML-Parser-Lite → perl-XMLRPC-Lite →
  perl-SOAP-Lite → perl-XML-Parser-Lite

* Wed Feb 18 2015 Petr Šabata <contyk@redhat.com> - 0.720-1
- 0.72 bump
- Use three digits in version

* Mon Sep 08 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.719-4
- Perl 5.20 mass

* Fri Sep 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-3
- Avoid koji build failures by correcting the test plan

* Thu Feb 06 2014 Petr Šabata <contyk@redhat.com> - 0.719-2
- Patch the test suite so it actually works

* Wed Feb 05 2014 Petr Šabata <contyk@redhat.com> - 0.719-1
- 0.719 bump

* Wed Nov 20 2013 Petr Šabata <contyk@redhat.com> - 0.717-1
- Specfile autogenerated by cpanspec 1.78.